TIBCO Security Advisory: May 9, 2017 - TIBCO Spotfire® Server

Frequently Asked Questions

General FAQ

Why is this advisory being issued?

Security vulnerabilities have been discovered in:

  • TIBCO Spotfire® Analytics Platform for AWS Marketplace 7.8.0 and earlier
  • TIBCO Spotfire® Server 7.0.0
  • TIBCO Spotfire® Server 7.0.1
  • TIBCO Spotfire® Server 7.5.0
  • TIBCO Spotfire® Server 7.6.0
  • TIBCO Spotfire® Server 7.7.0
  • TIBCO Spotfire® Server 7.8.0

What is the impact of these vulnerabilities?

For detailed information on the vulnerability, please see the security advisory.

Which customers are affected?

These issues affect all customers using the above product versions.

Where can I get a software update?

Customers with current maintenance for the affected products can obtain product updates through their standard TIBCO fulfillment channel.

How will customers who receive TIBCO software via OEM partners be affected?

Customers of OEM partners can receive new versions and hot fixes from their OEM partners. Please contact your OEM partner for updates.

Can I get the software update if I am not current on maintenance, if I do not have access to the download site or access to TIBCO Support?

Please contact us through this online form, and we will get in touch with you. Please reference CASE NUMBER 01461373 in your communication to indicate the context of your request.

What is TIBCO doing to prevent future security issues?

TIBCO takes security very seriously. We perform rigorous testing for every product release, as well as code audits, structured walkthroughs and peer reviews. TIBCO has identified security vulnerabilities in products during internal testing and reviews and corrected them prior to release. TIBCO constantly evaluates and augments its security measures and will continue to do so.

Where can I get more information?

Product advisories can be accessed from the Security Advisories for TIBCO Products web page.

Customers with a current maintenance contract with TIBCO can log a service request with TIBCO Global Support (please refer to the service request identifier listed above) and then call your support telephone number. Maintenance customers can also view product-specific Late Breaking News through the TIBCO Support Web.

TIBCO Spotfire® Analytics Platform for AWS Marketplace

Which product versions are affected?

  • TIBCO Spotfire® Analytics Platform for AWS Marketplace 7.8.0 and earlier

Which components are affected?

  • TIBCO Spotfire® Server

How should customers handle these issues?

For each affected system, customers should update to:

  • TIBCO Spotfire® Analytics Platform for AWS Marketplace 7.8.1 or higher

TIBCO Spotfire® Server

Which product versions are affected?

  • TIBCO Spotfire® Server 7.0.0
  • TIBCO Spotfire® Server 7.0.1
  • TIBCO Spotfire® Server 7.5.0
  • TIBCO Spotfire® Server 7.6.0
  • TIBCO Spotfire® Server 7.7.0
  • TIBCO Spotfire® Server 7.8.0

Which components are affected?

  • TIBCO Spotfire® Server

How should customers handle these issues?

For each affected system, customers should update to:

  • TIBCO Spotfire® Server 7.0.X version 7.0.2 or higher
  • TIBCO Spotfire® Server 7.5.0 version 7.5.1 or higher
  • TIBCO Spotfire® Server 7.6.0 version 7.6.1 or higher
  • TIBCO Spotfire® Server 7.7.0 version 7.7.1 or higher
  • TIBCO Spotfire® Server 7.8.0 version 7.8.1 or higher

Please follow the instructions in the product installation manual.

What is updated by this new product version?

Please see the readme, release notes and/or documentation for a complete list of changes.

Which TIBCO products include TIBCO Spotfire Server?

Products that include TIBCO Spotfire® Server include:

  • TIBCO® Analytics
  • TIBCO® Analytics - Business Author Add-on
  • TIBCO® Analytics - Consumer Add-on
  • TIBCO® Cloud Analytics
  • TIBCO DataSynapse™ Analytics
  • TIBCO LogLogic® Visual Analytics

---------------------